#ifndef SCOPE_H
#define SCOPE_H

#include <frost_utils.h>

struct Variable;
struct Function;
struct Typedef;
struct Enum;
class  Class;

struct Scope
{
    s_str        sName;
    s_ptr<Scope> pParent;

    s_ptr<Class> pClassParent;

    s_ctnr<Variable> lVariableList;
    s_ctnr<Function> lFunctionList;
    s_ctnr<Typedef>  lTypedefList;
    s_ctnr<Enum>     lEnumList;

    s_ctnr<s_refptr<Class>> lClassList;
};

#endif // SCOPE_H
