#ifndef FUNCTION_H
#define FUNCTION_H

#include <frost_utils.h>
#include "typename.h"
#include "templateparams.h"

namespace Frost
{

struct Variable;

struct Function
{
    TypeName mReturnType;
    s_str    sName;
    s_bool   bVirtual;
    s_bool   bConst;
    s_bool   bPureVirtual;
    s_bool   bStatic;
    s_bool   bGlobal;
    s_bool   bConstructor;
    s_bool   bDestructor;
    s_str    sContent;

    TemplateParams mTemplateParams;
    /*s_str    sTemplateParams;
    s_ctnr<s_str> lTemplateTypes;*/

    s_ctnr<Variable> lParams;
    s_ctnr<Variable> lInit;

    s_ctnr<s_str> lDocElements;

    s_ctnr<TypeName> lDependencies;
};

}

#endif // FUNCTION_H
